# Generated by Django 2.0.4 on 2018-04-10 10:42

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Day',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text='J1, J2, ...', max_length=20, verbose_name='nom')),
            ],
            options={
                'verbose_name': 'jour',
                'verbose_name_plural': 'jours',
            },
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=300, verbose_name='nom')),
                ('latitude', models.DecimalField(blank=True, decimal_places=8, max_digits=11, null=True, verbose_name='latitude')),
                ('longitude', models.DecimalField(blank=True, decimal_places=8, max_digits=11, null=True, verbose_name='longitude')),
                ('day', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='places', to='gps.Day', verbose_name='jour')),
            ],
            options={
                'verbose_name': 'lieu',
                'verbose_name_plural': 'lieux',
            },
        ),
        migrations.CreateModel(
            name='Year',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100, verbose_name='nom')),
                ('start', models.DateTimeField(default=django.utils.timezone.now)),
                ('end', models.DateTimeField(default=django.utils.timezone.now)),
            ],
            options={
                'verbose_name': 'édition',
                'verbose_name_plural': 'éditions',
            },
        ),
        migrations.AddField(
            model_name='place',
            name='year',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='places', to='gps.Year', verbose_name='édition'),
        ),
    ]
